#!/bin/sh

ALG="$1"

if [ "$ALG" != "rec" ] && [ "$ALG" != "dp" ]
then
  echo "Valid algorithms are 'rec' and 'dp'"
  exit 1
fi

for n in 5 6 7 8 9 10 11 12 13 14 15 20 25 30 35 40 45 50
  do
  for c in 0 1 2 3 4 5 6 7 8 9
    do
    echo -n $n $c
    INST=inst/kp-$n-$c.txt
    ./generator-$ALG $INST
    (
        /usr/bin/time -f " %U " g++ -I. $INST-$ALG.cpp
    ) 2>&1 | tr -d '\n'
    ./a.out | grep '.'
    rm $INST-$ALG.cpp
  done
done | tee results-meta-$ALG
