/*
  Copyright (C) 2010 Julien Jorge

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: julien.jorge@gamned.org
*/
#include <iostream>
#include "kp-dp.hpp"

int main()
{
  /* Un premier problme avec 4 objets et une capacit gale  12. */
  typedef
    type_list
    < item<2, 8>,
      type_list
      < item<9, 5>,
        type_list
        < item<5, 7>,
          type_list
          < item<8, 4>,
            empty_list > > > > kp1;

  std::cout << "result=" << dp_kp<12, kp1>::result::profit << std::endl;

  /* Un deuxime problme avec 10 objets et une capacit gale  160. */
  typedef
    type_list
    < item<4, 40>,
      type_list
      < item<4, 52>,
        type_list
        < item<2, 27>,
          type_list
          < item<5, 68>,
            type_list
            < item<5, 80>,
              type_list
              < item<3, 62>,
                type_list
                < item<3, 63>,
                  type_list
                  < item<2, 53>,
                    type_list
                    < item<1, 56>,
                      type_list
                      < item<1, 59>,
                        empty_list
                      >
                    >
                  >
                >
              >
            >
          >
        >
      >
    > kp2;

  std::cout << "result=" << dp_kp<160, kp2>::result::profit << std::endl;

}
